# Poco::Util

# template < typename Fn >

# class TimerFunc

Library: Util
Package: Timer
Header: Poco/Util/TimerTask.h

## Description

A simple adapter that allows using a functor or lambda with Poco::Util::Timer, used by timerFunc().

## Inheritance

Direct Base Classes: TimerTask

All Base Classes: Poco::RefCountedObject, Poco::Runnable, TimerTask

## Member Summary

Member Functions: run

Inherited Functions: cancel, duplicate, isCancelled, lastExecution, referenceCount, release, run, updateLastExecution

## Constructors

### TimerFunc

explicit TimerFunc(
const Fn & fn
);

### TimerFunc

explicit TimerFunc(
Fn && fn
);

## Member Functions

### run

void run();

See also: Poco::Runnable::run()